////////////////////////////////////////////////////////////////////////////////////////////////
//                                                                                            //
//                                       WATTO STUDIOS                                        //
//                             Java Code, Programs, and Software                              //
//                                    http://www.watto.org                                    //
//                                                                                            //
//                           Copyright (C) 2004-2010  WATTO Studios                           //
//                                                                                            //
// This program is free software; you can redistribute it and/or modify it under the terms of //
// the GNU General Public License published by the Free Software Foundation; either version 2 //
// of the License, or (at your option) any later versions. This program is distributed in the //
// hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranties //
// of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License //
// at http://www.gnu.org for more details. For updates and information about this program, go //
// to the WATTO Studios website at http://www.watto.org or email watto@watto.org . Thanks! :) //
//                                                                                            //
////////////////////////////////////////////////////////////////////////////////////////////////

package org.watto.program.android.sync.miso.datatype;

import org.watto.program.android.sync.miso.GlobalConstants;
import android.provider.ContactsContract.Data;


/***********************************************************************************************
Data type definition for storing a Check In Location for a Contact
***********************************************************************************************/
public interface CheckInData {

  /** The MIME Type **/
  public static final String CONTENT_ITEM_TYPE = GlobalConstants.MIME_TYPE_PREFIX + "checkin";

  /** The full check-in message (eg Home at 10:04 Monday 24/3/2010) **/
  public static final String DATA = Data.DATA1;
  
  /** The Check-In Location **/
  public static final String VENUE = Data.DATA2;
  
  /** The Check-In Time **/
  public static final String TIMESTAMP = Data.SYNC1;
  
  /** The label for this type of data **/
  public static final String LABEL = Data.DATA14;


}
